[jboss-svn-commits] JBL Code SVN: r38044 - labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson.

jboss-svn-commits at lists.jboss.org jboss-svn-commits at lists.jboss.org
Fri Apr 20 13:00:20 EDT 2012


Author: zhfeng
Date: 2012-04-20 13:00:20 -0400 (Fri, 20 Apr 2012)
New Revision: 38044

Modified:
   labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/narayana.sh
Log:
JBTM-1063 update to run txbridge tests

Modified: labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/narayana.sh
===================================================================
--- labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/narayana.sh	2012-04-20 15:55:35 UTC (rev 38043)
+++ labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/narayana.sh	2012-04-20 17:00:20 UTC (rev 38044)
@@ -174,3 +174,29 @@
 if [ "$?" != "0" ]; then
 	exit -1
 fi
+
+# Compile and run tx-bridge tests
+cd ${WORKSPACE}/txbridge
+if [ "$?" != "0" ]; then
+	exit -1
+fi
+
+ant dist
+if [ "$?" != "0" ]; then
+	exit -1
+fi
+
+cd tests
+if [ "$?" != "0" ]; then
+	exit -1
+fi
+
+ant enable-recovery-listener -Djboss.home=$JBOSS_HOME
+if [ "$?" != "0" ]; then
+	exit -1
+fi
+
+ant test
+if [ "$?" != "0" ]; then
+	exit -1
+if



More information about the jboss-svn-commits mailing list